Skip to main content
PUT

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme

Path Parameters

integration_id
string
required

Integration identifier

Body

application/json
integration_id
string
required

Unique identifier for the integration

name
string
required

Name of the OAuth integration

scopes
string
required

Comma-separated list of OAuth scopes

Example:

"read,write,admin"

client_id
string
required

OAuth client ID

client_secret
string
required

OAuth client secret

auth_url
string<uri>
required

Authorization URL for the OAuth flow

token_url
string<uri>
required

Token URL to exchange authorization code for access token

redirect_url
string<uri>
required

Redirect URL used in the OAuth flow

Response

OAuth configuration

message
string

Success message